﻿using System.Collections.Generic;

namespace SpotnetWatchdog.Entities
{
    class SubCategory
    {
        #region Public Properties

        public int Id { get; set; }

        public string Name { get; set; }

        #endregion

        #region Public Methods

        public override int GetHashCode()
        {
            return Name.GetHashCode();
        }

        public override string ToString()
        {
            return Name;
        }

        #endregion

        #region Empty Sub Category

        private static SubCategory _empty = new SubCategory() { Id = -1, Name = "- Alles -" };

        public static SubCategory Empty
        {
            get { return _empty; }
        }

        #endregion
    }
}
